Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor.security
Class LoginFormProcessor

    java.lang.Object
      com.bea.portal.appflow.processor.AbstractPortalProcessor
          com.bea.portal.appflow.processor.security.LoginFormProcessor

All Implemented Interfaces:
  com.bea.p13n.appflow.webflow.InputProcessor

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class LoginFormProcessor
extends AbstractPortalProcessor

This processor validates (NOT authenticates) the login html form parameters. If the username/password don't meet the minimum validation criteria this processor will throw an `InvalidFormDataException` and the user will be redirected back to the login page with an appropriate message. The minimum and maximum lengths for a username and password can be set in the web.xml or you may create your own processor for validating username and passwords and register that processor in the portal.wf webflow file. This processor also checks to see if the user has checked the "remember username & password" check box on the login JSP. If it was checked this processor will return `SecurityConstants.DROP_COOKIES`, otherwise it just return `SecurityConstants.LOGIN`

See Also:
  `SecurityConstants.DROP_COOKIES`, `SecurityConstants.LOGIN`

Constructor Summary
`LoginFormProcessor()` Deprecated.

Method Summary
`Object` | `process(HttpServletRequest request, HttpServletResponse response, PortalRequest portalRequest, Object requestContext)` Deprecated. Main process method called by webflow.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoginFormProcessor

    public LoginFormProcessor()

  Deprecated.

Method Detail

### process

    public Object process(HttpServletRequest request,
                          HttpServletResponse response,
                          PortalRequest portalRequest,
                          Object requestContext)
                   throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  Main process method called by webflow.

  Specified by:
    `process` in class `AbstractPortalProcessor`
  Returns:
    SecurityConstants.DROP_COOKIES if the user selected "remember username & password", otherwise SecurityConstants.LOGIN
  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved